Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6873 - rp3-1.0.1-1.i386.rpm still crashes when run as rp3-config
Summary: rp3-1.0.1-1.i386.rpm still crashes when run as rp3-config
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rp3
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-10 07:50 UTC by culliton
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-04-06 20:52:37 UTC


Attachments (Terms of Use)

Description culliton 1999-11-10 07:50:09 UTC
All the latest errata fixes as of 2100EST 9NOV1999 installed

System upgraded from 6.0 to 6.1, all ifcfg-* files have
DEVICE set, but the entries were all created with netcfg and
who knows whats missing that rp3 is expecting.

rp3-config still bombs immediately, not sure how much use
the traceback will be...

#0  0x4041e4e1 in ?? ()
#1  0x4041f868 in ?? ()
#2  0x40080df6 in gtk_file_selection_rename_file ()
   from /usr/lib/libgtk-1.2.so.0
#3  0x4041e408 in ?? ()
#4  0x40458d75 in ?? ()
#5  0x807af8b in ?? () from /lib/libnss_files.so.2
#6  0x80541a8 in ?? () from /lib/libnss_files.so.2
#7  0x805ec5e in ?? () from /lib/libnss_files.so.2
#8  0x80663f5 in ?? () from /lib/libnss_files.so.2
#9  0x404181eb in ?? ()

Comment 1 culliton 1999-11-10 07:58:59 UTC
Darn, attached new info to wrong item... Every time rp3-config bombs I
get pair of entries in /var/log/messages:

Nov 10 02:51:33 culliton-ppp modprobe: can't locate module sl0
Nov 10 02:51:33 culliton-ppp modprobe: can't locate module sl1

Comment 2 Michael K. Johnson 1999-11-19 21:33:59 UTC
Ugh.  Try
ftp://people.redhat.com/johnsonm/rp3/rp3-1.0.2-1.i386.rpm
and see if it fixes the problem.  I made it more robust when it
comes to reading data files.

It is entirely possible, however, that there's yet more work to
do.

Comment 3 Michael K. Johnson 1999-12-09 00:52:59 UTC
I didn't hear about about 1.0.2, but in case it didn't fix it, there are
more fixes in the new test release:
ftp://people.redhat.com/johnsonm/rp3/rp3-1.0.3-1.i386.rpm
If I don't hear back by the time I make an errata release, I'll assume
that one of these releases has fixed the problem.

------- Email From  Tom Culliton <culliton@CLARK.net> 12/09/99 08:32 -------
Attached to Bug # 6873.


------- Email From  Tom Culliton <culliton@CLARK.net> 12/09/99 08:44 -------
Attached to Bug # 6873.

Comment 4 Michael K. Johnson 1999-12-09 21:54:59 UTC
>BTW - I just tried rp3-1.0.3-1.i386.rpm and it seems MUCH better.  I
>haven't done a lot with it yet but it doesn't crash instantly.  It did
>print some interesting error messages:
>
>/etc/wvdial.conf<Warn>: Can't read config file: No such file or directory
>/etc/wvdial.conf<Warn>: Can't read config file: No such file or directory
>/etc/wvdial.conf<Warn>: Can't read config file: No such file or directory

That's the result of a previous crash, I expect.

Remove any of the /etc/sysconfig/network-scripts/ifcfg-ppp* files that
were created by rp3-config (those files will contain a line containing
the word WVDIALSECT) and then things should go fine.

------- Email From  Tom Culliton <culliton@CLARK.net> 12/09/99 21:22 -------
Attached to Bug # 6873.


------- Email From  "Michael K. Johnson" <johnsonm@redhat.com> 12/09/99 21:33 -------
Attached to Bug # 6873.

Comment 5 culliton 1999-12-16 19:35:59 UTC
OK, after quite a bit more playing around I'm ready to declare this fixed with
version rp3-1.0.3-1.i386.rpm.  Great work!  (Hopefully I've picked the right
resolution, please correct it if not.)

Comment 6 Michael K. Johnson 1999-12-16 20:47:59 UTC
Actually, I'd like to reopen this, and then re-close it when I release
an errata that fixes it.  That way I'll know which bug numbers to mark
as fixed when I make the errata release, and at that time I'll mark it
as RESOLVED ERRATA.

Thanks for letting me know that it works!

Comment 7 Nalin Dahyabhai 2000-04-06 20:52:59 UTC
Well, we shipped 6.2, so the fixes are in there, and of course in Raw Hide
(ftp://ftp.redhat.com/pub/rawhide/i386/RedHat/RPMS/) as well.


Note You need to log in before you can comment on or make changes to this bug.